"""
test_DROP_B.py — Stress Test: rimozione della Marca B dal catalogo

Come funziona:
  1. import_dataset()                           : carica il catalogo completo
  2. Crea un'istanza di "MarcaDropStressTest" con parametro "marca_drop=['B']" da droppare
  3. Chiama il metodo sim_MarcaDropStressTest() : per le probabilità aggiorante
  4. Salva CSV con prodotti rimasti, probabilità medie, probabilità per segmento
[Si può aggiungere il plot come in altri test, vedere ad esempio test_DROP_A.py]

Output:
  - prodotti_noB.csv       : DataFrame prodotti dopo il drop
  - prob_prodotti_noB.csv  : vettore probabilità medie
  - prob_segmenti_noB.csv  : matrice probabilità per segmento
"""
import sys
import os
cartella_progetto = os.path.abspath(os.path.join(os.path.dirname(__file__), '..'))
if cartella_progetto not in sys.path:
    sys.path.append(cartella_progetto)
from models import *
from plot_segment_test import *
from prepare_data import import_dataset

prodotti_tab=import_dataset() 

test_noB = MarcaDropStressTest(prodotti_tab, marca_drop=['B'])
res_noB = test_noB.sim_MarcaDropStressTest(MNLChoiceModel, LatentChoiceModel)

# Esportazione caratteristiche prodotti rimasti
res_noB[0].to_csv(r'test_res\prodotti_noB.csv', index=False)
# Esportazione probabilità prodotti
res_noB[1].to_csv(r'test_res\prob_prodotti_noB.csv', header=False, index=False)
# Esportazione probabilità segmenti
res_noB[2].to_csv(r'test_res\prob_segmenti_noB.csv', header=False, index=False)

print('File CSV generati con successo per l\'analisi dei grafici.')
